Name:           ocaml-variantslib
Version:        108.07.01
Release:        %mkrel 2
Summary:        OCaml variants as first class values
Group:          Development/OCaml
License:        ASL 2.0
URL:            https://ocaml.janestreet.com
Source0:        http://ocaml.janestreet.com/ocaml-core/%{version}/individual/variantslib-%{version}.tar.gz
BuildRequires:  ocaml-compiler >= 3.10.0
BuildRequires:  ocaml-type-conv == %{version}
BuildRequires:  ocaml-findlib
BuildRequires:  camlp4
Requires:       ocaml-compiler
Requires:       camlp4
Requires:       ocaml-type-conv == %{version}

%description
The Variantslib OCaml library allows to use variants as first class values.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n variantslib-%{version}

%build
./configure
make
make doc
mv _build/lib/variantslib.docdir/ doc/

%install
rm -rf %{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
make install

%files
%doc LICENSE.txt COPYRIGHT.txt README.txt
%doc THIRD-PARTY.txt INRIA-DISCLAIMER.txt
%dir %{_libdir}/ocaml/variantslib
%{_libdir}/ocaml/variantslib/META
%{_libdir}/ocaml/variantslib/*.cma
%{_libdir}/ocaml/variantslib/*.cmi
%{_libdir}/ocaml/variantslib/*.cmxs

%files devel
%doc doc/
%doc sample/
%{_libdir}/ocaml/variantslib/*.a
%{_libdir}/ocaml/variantslib/*.cmxa
%{_libdir}/ocaml/variantslib/*.mli


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 108.07.01-2.mga3
+ Revision: 361697
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + blue_prawn <blue_prawn>
    - mgarepo sync

* Tue Nov 20 2012 blue_prawn <blue_prawn> 108.07.01-1.mga3
+ Revision: 319774
- sync tarball
- updated to last version 108.07.01
- constrain the set of libs from janest to be the same version

* Mon Oct 01 2012 blue_prawn <blue_prawn> 108.07.00-2.mga3
+ Revision: 301859
- rebuild for new ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 108.07.00-1.mga3
+ Revision: 300239
- updated to last version 108.07.00
- new rpm group for ocaml

* Sat Jul 28 2012 malo <malo> 108.00.02-2.mga3
+ Revision: 275415
- add missing requires to ocaml-type-conv

* Wed Jul 25 2012 malo <malo> 108.00.02-1.mga3
+ Revision: 274276
- imported package ocaml-variantslib

